#pragma once

#include "CoreMinimal.h"
#include "ChallengeSetUIAssets.generated.h"

USTRUCT(BlueprintType)
struct FChallengeSetUIAssets
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString IconPath;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool IconPath_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString HeroImagePath;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool HeroImagePath_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString BackgroundImagePath;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool BackgroundImagePath_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString RewardPopupBannerPath;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool RewardPopupBannerPath_IsSet;

public:
	DEADBYDAYLIGHT_API FChallengeSetUIAssets();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeSetUIAssets) { return 0; }
